From d86d6baab74c3e69094083715ffef4aef2e516dd Mon Sep 17 00:00:00 2001
From: Jan Grulich <jgrulich@redhat.com>
Date: Fri, 11 Aug 2023 13:45:41 +0200
Subject: [PATCH] Do not use "gtk3" key to avoid conflict with QGtkStyle from
 Qt upstream (#150)

---
 src/decoration/decorationplugin.cpp          | 2 +-
 src/decoration/qgnomeplatformdecoration.json | 2 +-
 src/theme/platformplugin.cpp                 | 2 +-
 src/theme/qgnomeplatformtheme.json           | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/decoration/decorationplugin.cpp b/src/decoration/decorationplugin.cpp
index 40737e4..fb367df 100644
--- a/src/decoration/decorationplugin.cpp
+++ b/src/decoration/decorationplugin.cpp
@@ -23,7 +23,7 @@
 QWaylandAbstractDecoration *QGnomePlatformDecorationPlugin::create(const QString &key, const QStringList &paramList)
 {
     Q_UNUSED(paramList)
-    if (key == "gnome" || key == "gtk3" || key == "qgnomeplatform")
+    if (key == "gnome" || key == "qgnomeplatform")
         return new QGnomePlatformDecoration();
     return nullptr;
 }
diff --git a/src/decoration/qgnomeplatformdecoration.json b/src/decoration/qgnomeplatformdecoration.json
index 891c3e4..a4a854d 100644
--- a/src/decoration/qgnomeplatformdecoration.json
+++ b/src/decoration/qgnomeplatformdecoration.json
@@ -1,3 +1,3 @@
 {
-    "Keys": [ "gnome", "gtk3", "qgnomeplatform" ]
+    "Keys": [ "gnome", "qgnomeplatform" ]
 }
diff --git a/src/theme/platformplugin.cpp b/src/theme/platformplugin.cpp
index 9908bee..f43ff4e 100644
--- a/src/theme/platformplugin.cpp
+++ b/src/theme/platformplugin.cpp
@@ -27,7 +27,7 @@ QGnomePlatformThemePlugin::QGnomePlatformThemePlugin(QObject *parent)
 QPlatformTheme *QGnomePlatformThemePlugin::create(const QString &key, const QStringList &paramList)
 {
     Q_UNUSED(paramList)
-    if (key == "gnome" || key == "gtk3" || key == "qgnomeplatform")
+    if (key == "gnome" || key == "qgnomeplatform")
         return new QGnomePlatformTheme();
     return nullptr;
 }
diff --git a/src/theme/qgnomeplatformtheme.json b/src/theme/qgnomeplatformtheme.json
index 891c3e4..a4a854d 100644
--- a/src/theme/qgnomeplatformtheme.json
+++ b/src/theme/qgnomeplatformtheme.json
@@ -1,3 +1,3 @@
 {
-    "Keys": [ "gnome", "gtk3", "qgnomeplatform" ]
+    "Keys": [ "gnome", "qgnomeplatform" ]
 }
